Name:           ruby-RRDtool
Version:        0.6.0
Release:        22%{?dist}
Summary:        RRDTool for Ruby

Group:          Development/Languages
License:        MIT
URL:            http://rubyforge.org/projects/rubyrrdtool/
Source0:        http://rubyforge.org/frs/download.php/13992/RubyRRDtool-%{version}.tgz

%if 0%{?fedora} >= 8
Patch0:         RubyRRDtool-0.6.0.patch
Patch1:         ruby-rrdtool-patch-for-ruby-1.9.3.patch
%endif
Patch2:         ruby-RRDtool-0.6.0-f21-build-fix.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ruby, ruby(release), ruby-devel, rrdtool-devel
Requires:       ruby(release), rrdtool
Provides:       ruby(RRDtool) = %{version}

%description
Generate RRDTool Databases from Ruby

%prep
%setup -q -n RubyRRDtool-0.6.0

%if 0%{?fedora} >= 8
%patch0 -p1
%patch1 -p0
%endif
%patch2 -p1

%build
ruby extconf.rb --vendor
make %{?_smp_flags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{ruby_sitearch}
# ruby_headers= applied to workaround rhbz#921650
make install DESTDIR=$RPM_BUILD_ROOT ruby_headers=

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README
%{ruby_vendorarchdir}/RRDtool.so

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jan 12 2016 Vít Ondruch <vondruch@redhat.com> - 0.6.0-21
- Rebuilt for https://fedoraproject.org/wiki/Changes/Ruby_2.3

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jan 17 2015 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.6.0-19
- Rebuild for https://fedoraproject.org/wiki/Changes/Ruby_2.2

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jun 17 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 0.6.0-17
- Fixed FTBFS on f21 (by f21-build-fix patch)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Mar 26 2013 Vít Ondruch <vondruch@redhat.com> - 0.6.0-14
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb 29 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.6.0-11
- Rebuilt and patched for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jul 28 2008 Jeroen van Meeuwen <kanarip@kanarip.com> 0.6.0-5
- Rebuild for review (#255721)

* Mon Aug 27 2007 Jeroen van Meeuwen <kanarip@kanarip.com> 0.6.0-1
- Initial Build
